## Description

The project involves analyzing a dataset containing information about various laptops. The goal is to assist users in making informed decisions 
when choosing between different laptop options. Through data analysis, key factors such as performance, price, brand, and others will be evaluated to provide recommendations tailored to users' needs and preferences.

## File
| file              | Description                                                                        |
|-------------------|------------------------------------------------------------------------------------|
| laptop_app.py    | To initiated the program                                       |
| laptop_controller.py | Controll laptopUI and plot graph                                       |
| laptopUI.py          | Program UI                                                  |
| laptop_csv_reader.py  | Read csv data                                                  |
| laptop_price.csv              | Data in csv format |
## Data
Laptop price data set from kaggle

[Laptop price](https://www.kaggle.com/datasets/muhammetvarl/laptop-price/data)

## example UI

![image](https://github.com/Bezzilla/Laptop_price/assets/113333527/feab2ac9-35fc-4fa5-ad6e-8aafb748cfcd)

![image](https://github.com/Bezzilla/Laptop_price/assets/113333527/ae3c2f51-5f79-4d2f-8cbe-ad90ac218360)

### Installation
1. Clone the project
```
git clone https://github.com/Bezzilla/Laptop_price.git
```
2. Change directory
```
cd Laptop_price
```

3. Install requirements
```
pip install -r requirements.txt
```

4. Run
```
python laptop_app.py
```
